lightspark (0.7.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS against libav10 (Closes: #739328)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 14 May 2014 22:22:03 -0400

lightspark (0.7.2-3) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Add patch to make lightspark build with llvm-3.3 (Closes: #730780)

  [ Didier Raboud ]
  * Bump llvm-dev Build-Dependency to 1:3.3

 -- Didier Raboud <odyx@debian.org>  Mon, 02 Dec 2013 14:56:28 +0100

lightspark (0.7.2-2) unstable; urgency=low

  * Upload to unstable, here we come Jessie!
  * Build-Depend against the generic llvm-dev, to permit easier LLVM
    version changes. (Closes: #706699)

 -- Didier Raboud <odyx@debian.org>  Mon, 06 May 2013 11:52:55 +0200

lightspark (0.7.2-1) experimental; urgency=low

  * New 0.7.2 upstream version
    - Improved image support: alpha in palettes, abbreviated JPEGs
    - Improved embedded font parsing and text positioning
    - Open links in a browser (plugin only)
    -  BitmapData improvements
     - Fixed many crashes

  * Drop all patches, incorporated upstream.

 -- Didier Raboud <odyx@debian.org>  Sat, 16 Mar 2013 14:56:46 +0100

lightspark (0.7.1-2) experimental; urgency=low

  [ Roland Stigge ]
  * Patch buildsystem to make -maltivec optional. Fixes the powerpcspe
    FTBFS. (Closes: #701590)

 -- Didier Raboud <odyx@debian.org>  Fri, 01 Mar 2013 18:04:47 +0100

lightspark (0.7.1-1) experimental; urgency=low

  * New 0.7.1 upstream version
    - Fixes for YouTube
    - Support keyboard press and release events
    - Support mouse wheel events and other mouse event improvements
    - Support LLVM 3.2
    - Implemented hit testing of DisplayObjects
    - Parse JPEG images embedded in DefineBits tags
    - Parse RGB15 and paletted images in DefineBitsLossless tags
    - Improved XML support

  * Bump Standards-Version to 3.9.4 without changes needed.
  * Update homepage to GitHub

 -- Didier Raboud <odyx@debian.org>  Fri, 28 Dec 2012 10:49:31 +0100

lightspark (0.7.0-1) experimental; urgency=low

  * New 0.7.0 upstream version.
    - Drop patches, all backported from upstream.
    - Add liblzma-dev as Build-Depend.
    - Bump library version in common.shlibs.

  * Make lightspark-common depend on fonts-liberation instead of ttf-
    liberation. (Closes: #692243)

 -- Didier Raboud <odyx@debian.org>  Sat, 10 Nov 2012 22:44:59 +0100

lightspark (0.6.0.1-2) unstable; urgency=low

  * Cherry-pick upstream f1675d6 'Fix handling of resizing'.

 -- Didier Raboud <odyx@debian.org>  Thu, 14 Jun 2012 19:54:28 +0200

lightspark (0.6.0.1-1) unstable; urgency=low

  * New 0.6.0.1 upstream release.

 -- Didier Raboud <odyx@debian.org>  Sun, 10 Jun 2012 15:12:49 +0200

lightspark (0.5.7-2) unstable; urgency=low

  * Drop now-obsolete lintian override.
  * Enable RTMP support. It was supposed to be enabled by default since
    0.5.4 but wasn't. (Closes: #647149)

 -- Didier Raboud <odyx@debian.org>  Mon, 21 May 2012 10:06:50 +0200

lightspark (0.5.7-1) unstable; urgency=low

  * New 0.5.7 upstream release.
  * Bump debhelper Build-Depends to 9.

 -- Didier Raboud <odyx@debian.org>  Wed, 16 May 2012 13:20:28 +0200

lightspark (0.5.6-1) unstable; urgency=low

  * New 0.5.6 upstream release.
    - Build-Depends: add libpng-dev.
  * Bump Standards-Version to 3.9.3 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Thu, 12 Apr 2012 16:57:45 +0200

lightspark (0.5.5-1) unstable; urgency=low

  * New 0.5.5 upstream release
  * Bugfix debian/watch to recognize https downloads.

 -- Didier Raboud <odyx@debian.org>  Tue, 13 Mar 2012 13:59:16 +0100

lightspark (0.5.4.1-1) unstable; urgency=low

  * New 0.5.4.1 upstream release
    - Support also targets without 8 bit per pixel depth
      (Closes: #647257, LP: #910837)
  * Build against LLVM-3.0.

 -- Didier Raboud <odyx@debian.org>  Thu, 02 Feb 2012 10:25:56 +0100

lightspark (0.5.4-1) unstable; urgency=low

  * New 0.5.4 upstream release
    - ENABLE_RTMP=1 by default (#647149 fixed upstream)

 -- Didier Raboud <odyx@debian.org>  Tue, 31 Jan 2012 13:54:07 +0100

lightspark (0.5.3-2) unstable; urgency=low

  [ Kai Wasserbäch ]
  * Also build the sdl audio backend. (Closes: #643839)
    - Build-Depends: Add libsdl1.2-dev.

  [ Didier Raboud ]
  * Enable RTMP support. (Closes: #647149)

 -- Didier Raboud <odyx@debian.org>  Mon, 02 Jan 2012 17:52:26 +0100

lightspark (0.5.3-1) unstable; urgency=low

  * New 0.5.3 upstream release.

 -- Didier Raboud <odyx@debian.org>  Thu, 08 Dec 2011 09:38:52 +0100

lightspark (0.5.2.1-1) unstable; urgency=low

  * New 0.5.2.1 upstream release.
  * Bump debhelper compat for auto- buildflags, also reorder the dh
    arguments.

 -- Didier Raboud <odyx@debian.org>  Sun, 30 Oct 2011 10:51:37 +0100

lightspark (0.5.2-1) unstable; urgency=low

  * New 0.5.2 upstream release.
    - Bump Build-Dependency on llvm-dev to 2.8.

 -- Didier Raboud <odyx@debian.org>  Fri, 28 Oct 2011 16:54:35 +0200

lightspark (0.5.1-1) unstable; urgency=low

  * New 0.5.1 upstream release.

  [ Didier Raboud ]
  * Drop all architecture-widening patches: included upstream.
  * Drop superfluous build-dependencies: fontconfig, gnash-common and
    xulrunner-dev.
  * Drop obsolete configure specifics.

  [ Jani Monoses ]
  * Drop libnspr build-dependency.

 -- Didier Raboud <odyx@debian.org>  Thu, 22 Sep 2011 14:21:12 +0200

lightspark (0.5.0-2) unstable; urgency=low

  * Upload to unstable.
  * Add DEP-3 headers to all patches.

 -- Didier Raboud <odyx@debian.org>  Fri, 26 Aug 2011 13:32:08 +0200

lightspark (0.5.0-1) experimental; urgency=low

  * New 0.5.0 "Bacchus" upstream release.
    - Bump shlibs' version to 0.5.

  * Update Build-Depends:
    - for Ubuntu: add firefox-dev as alternative to xulrunner-dev.
    - add libjpeg-dev.
    - drop libftgl-dev and libsdl-dev.

 -- Didier Raboud <odyx@debian.org>  Tue, 26 Jul 2011 14:33:12 +0200

lightspark (0.4.8.1-1) experimental; urgency=low

  * New 0.4.8.1 upstream release.

 -- Didier Raboud <odyx@debian.org>  Fri, 27 May 2011 14:44:45 +0200

lightspark (0.4.8~rc1-1) experimental; urgency=low

  * 0.4.8 first Release Candidate:
    - Add libavformat-dev Build-Dependency.
  * Update debian/watch.

 -- Didier Raboud <odyx@debian.org>  Tue, 24 May 2011 15:28:40 +0200

lightspark (0.4.7.1-2) experimental; urgency=low

  * Brown-paper bag upload: previous one went to unstable by mistake: upload
    to experimental for real now.

 -- Didier Raboud <odyx@debian.org>  Tue, 10 May 2011 16:41:23 +0200

lightspark (0.4.7.1-1) experimental; urgency=low

  * New 0.4.7.1 upstream release. 
  * Refresh patches.
  * Bump Standards-Version to 3.9.2 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Tue, 10 May 2011 14:29:40 +0200

lightspark (0.4.6.1-2) experimental; urgency=low

  * Drop architecture restrictions by patching the buildsystem
    (all_arches.patch).
  * Rephrase descriptions to s/mozilla/browser/.

 -- Didier Raboud <odyx@debian.org>  Mon, 04 Apr 2011 15:14:33 +0200

lightspark (0.4.6.1-1) experimental; urgency=low

  * New 0.4.6.1 upstream release.
  * Patches:
    - Remove armel.patch (included upstream).
    × Refresh hurd.patch.

 -- Didier Raboud <odyx@debian.org>  Fri, 18 Mar 2011 11:26:27 +0100

lightspark (0.4.6-1) experimental; urgency=low

  * New 0.4.6 upstream release.

  [ Luca Falavigna ]
  * debian/control:
    - Remove myself from Uploaders.

  [ Didier Raboud ]
  * Merge changes done in Ubuntu, thanks Jani!
  * Re-indent Build-Depends.
  * Add lintian override for empty mozilla/plugins directory.

  [ Jani Monoses ]
  * Build on armel:
    - debian/patches/armel.patch: Add arm target to CMakeLists.txt.
    - debian/control: Allow build on armel architecture.
  * Drop libffi-dev B-D.

 -- Didier Raboud <odyx@debian.org>  Tue, 15 Mar 2011 13:48:10 +0100

lightspark (0.4.5.3-1) experimental; urgency=low

  * New upstream release.
    - Fix YouTube breakage

 -- Didier Raboud <odyx@debian.org>  Thu, 24 Feb 2011 12:05:07 +0100

lightspark (0.4.5.2-1) experimental; urgency=low

  * New upstream release
    - Fix YouTube breakage

  * Add new /etc/xdg/lightspark.conf file to -common.

 -- Didier Raboud <odyx@debian.org>  Fri, 11 Feb 2011 13:35:35 +0100

lightspark (0.4.5.1-2) experimental; urgency=low

  * Bump B-D on libxml++2.6-dev to >= 2.33.1 (see #605773)
  * Change my e-mail address to @d.o and remove the DMUA flag.

 -- Didier Raboud <odyx@debian.org>  Fri, 07 Jan 2011 14:06:52 +0100

lightspark (0.4.5.1-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/hurd.patch:
    - Refresh due to new upstream release.
  * debian/control:
    - Allow build on powerpc architecture.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 19 Dec 2010 14:02:47 +0100

lightspark (0.4.4.3-1) experimental; urgency=low

  [ Didier Raboud ]
  * New upstream release.
  * debian/control:
    - Build-depend on libxml++2.6-dev.
  * debian/lightspark-{,common}.install:
    - Install localization, icon, and .desktop files.

  [ Luca Falavigna ]
  * debian/browser-plugin-lightspark.dirs:
    - Make sure /usr/lib/mozilla/plugins is created before trying to
      provide alternatives for flash-mozilla.so (Closes: #601019).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 23 Oct 2010 14:21:32 +0200

lightspark (0.4.4.2-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/hurd.patch:
    - Refresh due to new upstream release.
  * debian/control:
    - Build-depend on libboost-{filesystem,system,regex}-dev.
    - Recommend gnash for lightspark package (Closes: #597200).
  * debian/copyright:
    - Update with latest copyright information.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 22 Sep 2010 18:31:48 +0200

lightspark (0.4.4.1-1) experimental; urgency=low

  * New upstream bugfix release.

  * Putting under Debian Flash Maintainers <pkg-flash-devel@l.a.d.o> umbrella:
    - git repository moved from collab-maint to pkg-flash
    - Vcs-* Fields updated accordingly
    - Maintainer changed, moved myself to Uploaders.

 -- Didier Raboud <didier@raboud.com>  Thu, 02 Sep 2010 21:44:43 +0200

lightspark (0.4.4-1) experimental; urgency=low

  * New upstream release

  * debian/patches/hurd.patch: Refresh.

 -- Didier Raboud <didier@raboud.com>  Mon, 30 Aug 2010 14:31:10 +0200

lightspark (0.4.3-1) experimental; urgency=low

  * New upstream release (Closes: #593367).

  [ Didier Raboud ]
  * debian/watch: Manage rc versions.

  [ Luca Falavigna ]
  * debian/patches/hurd.patch:
    - Basic GNU/Hurd support.
  * debian/browser-plugin-lightspark.*:
    - Implement alternatives on flash-mozilla.so (Closes: #590565).
  * debian/control:
    - Limit architectures to any-i386 and any-amd64 (Closes: #591357).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 18 Aug 2010 18:49:12 +0200

lightspark (0.4.2.2-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - Build-depend on gnash-common, and add it as recommended package
      for browser-plugin-lightspark to enable fallback support.
    - Build depend on xulrunner-dev (>= 1.9.2).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 05 Aug 2010 21:05:43 +0200

lightspark (0.4.2.1-1) experimental; urgency=low

  * New upstream bugfix release.

  [ Luca Falavigna ]
  * debian/patches/avoidManpageErrors.patch
    - Removed, adopted upstream.
  *  debian/patches/privateLibrary.patch
    - Removed, adopted upstream.
  * debian/control:
    - Limit architectures to i386 amd64 kfreebsd-any (Closes: #590267).
    - Bump Standards-Version to 3.9.1, no changes required.

  [ Didier Raboud ]
  * debian/control:
    - Add pulseaudio recommends to lightspark-common, for real.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 26 Jul 2010 20:08:45 +0200

lightspark (0.4.2-1) experimental; urgency=low

  [ Didier Raboud ]
  * Initial upload to Debian (Closes: #582120).
    - Re-use upstream's PPA packaging. Thanks to Alessandro Pignotti !
  * debian/control:
    - Set myself as Maintainer, put DMUA.
    - Adapt Vcs-* fields to Debian's collab-maint.
    - Arch is any.
    - Use llvm-2.7-dev in addition to llvm-dev (> 2.7).
    - Correct "we" typos.
    - Add pulseaudio recommends.
  * New packages: 
    - -dbg package.
    - -common package with the private library and data.
  * Add lintian overrides for the use of rpath for the private library.
  * debian/copyright: Update.
  * debian/watch: Update using Launchpad.net.
  * Move from cdbs to dh7 tiny style.
  * Cleanup:
    - Remove empty README.Debian.
  * Use 3.0 (quilt) source package format.
  * Patch manpage to correct hyphen-used-as-minus error.

  [ Luca Falavigna ]
  * debian/control:
    - Add myself to Uploaders.
    - Rename mozilla-plugin-lightspark to browser-plugin-lightspark to
      match naming scheme by Mozilla team.
  * debian/copyright:
    - Add missing license information.

 -- Didier Raboud <didier@raboud.com>  Thu, 22 Jul 2010 10:43:03 +0200

lightspark (0.4.1-0ubuntu1) lucid; urgency=low

  * New release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Sat, 05 Jun 2010 03:13:43 +0200

lightspark (0.4.0~rc3-0ubuntu1) lucid; urgency=low

  * New release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Sat, 29 May 2010 19:16:49 +0200

lightspark (0.4.0~rc2-0ubuntu1) lucid; urgency=low

  * New release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Sat, 29 May 2010 04:06:21 +0200

lightspark (0.4.0~rc1-ubuntu1) lucid; urgency=low

  * New release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Fri, 28 May 2010 06:23:06 +0200

lightspark (0.3.9-ubuntu1) lucid; urgency=low

  * New release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Mon, 24 May 2010 13:14:46 +0200

lightspark (0.3.8-ubuntu1) lucid; urgency=low

  * New release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Sun, 23 May 2010 01:16:32 +0200

lightspark (0.3.7-ubuntu1) lucid; urgency=low

  * New release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Fri, 21 May 2010 23:12:25 +0200

lightspark (0.3.6-ubuntu1) lucid; urgency=low

  * New release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Thu, 20 May 2010 23:42:28 +0200

lightspark (0.3.5-ubuntu1) lucid; urgency=low

  * A fix in SWF parsing
  * Show debug message also in standalone version

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Thu, 20 May 2010 02:02:18 +0200

lightspark (0.3.4-ubuntu1) lucid; urgency=low

  * Fixed a bug triggered by compiler optimizations

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Wed, 19 May 2010 19:33:43 +0200

lightspark (0.3.3-ubuntu1) lucid; urgency=low

  * Enable assertions in release builds

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Wed, 19 May 2010 05:26:49 +0200

lightspark (0.3.2-ubuntu1) lucid; urgency=low

  * Enable debug output in release

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Tue, 18 May 2010 21:25:44 +0200

lightspark (0.3.1-ubuntu3) lucid; urgency=low

  * Beta release
  * Improved robustness
  * Apply filtering to video

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Tue, 18 May 2010 01:37:37 +0200

lightspark (0.2.1-ubuntu1) lucid; urgency=low

  * Mouse input support
  * Better tesselation
  * Plugin packaged

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Tue, 27 Apr 2010 17:31:03 +0200

lightspark (0.2.0-ubuntu1) lucid; urgency=low

  * Youtube support

 -- Alessandro Pignotti <a.pignotti@sssup.it>  Tue, 20 Apr 2010 17:15:05 +0200

lightspark (0.techdemo2) unstable; urgency=low

  * Initial Release.

 -- Jacopo Corbetta <j.corbetta@sssup.it>  Sat, 27 Jun 2009 19:20:39 +0200
